<?php
// $Id: statspro_admin_settings.inc,v 1.1.2.6 2010/06/13 11:20:53 rsevero Exp $

/**
 * @file
 *   Admin settings page.
 *
 */

require_once drupal_get_path('module', 'statspro') .'/statspro_settings.inc';

/**
 * Main admin settings form.
 */
function statspro_main_admin_settings_form() {
  return statspro_settings_form(
    variable_get('statspro_period', 'today'),
    variable_get('statspro_custom_number_days', 30)
  );
}

/**
 * Implementation of hook_modulename_submit() for main admin settings form.
 */
function statspro_main_admin_settings_form_submit($form, &$form_state) {
  $op = isset($form_state['values']['op']) ? $form_state['values']['op'] : '';
  if ($op == t('Reset to defaults')) {
    variable_del('statspro_period');
    variable_del('statspro_custom_number_days');
    $keys = array_keys($_SESSION);
    foreach ($keys as $key) {
      if (strpos($key, 'statspro_') === 0) {
        unset($_SESSION[$key]);
      }
    }
    drupal_set_message(t('The configuration options have been reset to their default values.'));
  }
  else {
    variable_set('statspro_period', $form_state['values']['statspro_period']);
    if ($form_state['values']['statspro_period'] == 'custom_days') {
      variable_set('statspro_custom_number_days', (int) $form_state['values']['statspro_custom_number_days']);
    }
    drupal_set_message(t('The configuration options have been saved.'));
  }
}
